httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hu, Leigi (CDC/CCHIS/NCPHI) (CTR)" <d...@CDC.GOV>
Subject [users@httpd] errors with installing Apache HTTP 2.0.61
Date Thu, 08 Nov 2007 14:24:40 GMT
Hi there,

 

I try to install Apache HTTP 2.0.61 server on a Solaris 10 UNIX machine.
I can't check the signature of the downloaded Apache HTTP 2.0.61 as my
UNIX machine doesn't recognize the 'gpg' command. When I was trying to
configure Apache HTTP 2.0.61, I received the following WARNING message:

configure: WARNING: netinet/sctp.h: present but cannot be compiled

configure: WARNING: netinet/sctp.h:     check for missing prerequisite
headers?

configure: WARNING: netinet/sctp.h: see the Autoconf documentation

configure: WARNING: netinet/sctp.h:     section "Present But Cannot Be
Compiled"

configure: WARNING: netinet/sctp.h: proceeding with the preprocessor's
result

configure: WARNING: netinet/sctp.h: in the future, the compiler will
take precedence

config.status: WARNING:  apr-config.in seems to ignore the --datarootdir
setting

config.status: WARNING:  Makefile.in seems to ignore the --datarootdir
setting

config.status: WARNING:  lib/Makefile.in seems to ignore the
--datarootdir setting

 

When I ignored the warnings above and continued to build the Apache
package by running 'make' command, I got the following errors:

make: Fatal error: Command failed for target `libexpat.la'

Current working directory
/export/home/dxq6/apache/httpd-2.0.61/srclib/apr-util/xml/expat/lib

make: Fatal error: Command failed for target `build-subdirs'

Current working directory
/export/home/dxq6/apache/httpd-2.0.61/srclib/apr-util/xml/expat

make: Fatal error: Command failed for target `all-recursive'

Current working directory
/export/home/dxq6/apache/httpd-2.0.61/srclib/apr-util/xml

make: Fatal error: Command failed for target `all-recursive'

Current working directory
/export/home/dxq6/apache/httpd-2.0.61/srclib/apr-util

make: Fatal error: Command failed for target `all-recursive'

Current working directory /export/home/dxq6/apache/httpd-2.0.61/srclib

make: Fatal error: Command failed for target `all-recursive'

 

I am not a system admin. I ran the 'configure' and 'make' commands by
means of 'sudo'. Does someone know why this happened and how to fix the
problem? 

 

Thanks for your help in advance.

 

Rick

 


Mime
View raw message